Package org.apache.nutch.crawl

## Class CrawlDbReader.CrawlDatumCsvOutputFormat.LineRecordWriter

- java.lang.Object
- - org.apache.hadoop.mapreduce.RecordWriter<Text,​CrawlDatum>
  - - org.apache.nutch.crawl.CrawlDbReader.CrawlDatumCsvOutputFormat.LineRecordWriter

- Enclosing class:
    CrawlDbReader.CrawlDatumCsvOutputFormat

      protected static class CrawlDbReader.CrawlDatumCsvOutputFormat.LineRecordWriter
      extends RecordWriter<Text,​CrawlDatum>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LineRecordWriter​(DataOutputStream out)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `close​(TaskAttemptContext context)` |
    `void` | `write​(Text key, CrawlDatum value)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LineRecordWriter

          public LineRecordWriter​(DataOutputStream out)

  - ### Method Detail

    - #### write

          public void write​(Text key,
                            CrawlDatum value)
                     throws IOException

      Specified by:
        `write` in class `RecordWriter<Text,​CrawlDatum>`
      Throws:
        `IOException`

    - #### close

          public void close​(TaskAttemptContext context)
                     throws IOException

      Specified by:
        `close` in class `RecordWriter<Text,​CrawlDatum>`
      Throws:
        `IOException`